caption: Re-enable the deprecated async interface for <ph name="FILE_SYSTEM_SYNC_ACCESS_HANDLE">FileSystemSyncAccessHandle</ph>
  in File System Access API
deprecated: true
default: false
desc: |-
  Starting in M108, all of <ph name="FILE_SYSTEM_SYNC_ACCESS_HANDLE">FileSystemSyncAccessHandle</ph> methods will be invoked synchronously.
        Until M110, this policy re-enables asynchronous invocation of <ph name="FILE_SYSTEM_SYNC_ACCESS_HANDLE">FileSystemSyncAccessHandle</ph> methods.
        If this policy is set to Enabled, <ph name="FILE_SYSTEM_SYNC_ACCESS_HANDLE">FileSystemSyncAccessHandle</ph> methods are invoked asynchronously.
        If this policy is set to Disabled or not set, all of <ph name="FILE_SYSTEM_SYNC_ACCESS_HANDLE">FileSystemSyncAccessHandle</ph> methods are invoked synchronously.
example_value: false
features:
  dynamic_refresh: true
  per_profile: true
future_on:
- fuchsia
items:
- caption: Enables <ph name="FILE_SYSTEM_SYNC_ACCESS_HANDLE">FileSystemSyncAccessHandle</ph>
    methods to be invoked asynchronously
  value: true
- caption: Disables any asynchronous methods of <ph name="FILE_SYSTEM_SYNC_ACCESS_HANDLE">FileSystemSyncAccessHandle</ph>.
  value: false
owners:
- dslee@chromium.org
- chrome-owp-storage@google.com
schema:
  type: boolean
supported_on:
- chrome.*:108-110
- chrome_os:108-110
- android:108-110
tags: []
type: main
